<div class="content-header">
    <div class="main-job-description__right" *ngIf="!approve && objFunction?.create">
        <mb-button *ngIf="objFunction?.create" mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.cancel' | translate}}" mbButtonType="NO_BORDER" (click)="onCancel()"
            mbButtonAvailableStyle="BtnCancelHasBorder" [mbIsDisable]="isLoadingPage">
        </mb-button>
        <mb-button *ngIf="objFunction?.create" mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.saveApprove' | translate}}"
                   mbButtonType="NO_BORDER" (click)="saveData()" mbButtonAvailableStyle="PRIMARY" [mbIsDisable]="isLoadingPage">
        </mb-button>
    </div>

  <div class="main-job-description__right" *ngIf="approve">
    <mb-button *ngIf="objFunction?.approve" mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.approve' | translate}}" (click)="approveSalaryProcess(true)"
               mbButtonType="NO_BORDER"  mbButtonAvailableStyle="BtnCancelHasBorder">
    </mb-button>
    <mb-button *ngIf="objFunction?.approve" mbButtonSize="MEDIUM" mbButtonText="{{'polManagement.button.reject' | translate}}" (click)="approveSalaryProcess(false)"
               mbButtonType="NO_BORDER" mbButtonAvailableStyle='GRAY'>
    </mb-button>
  </div>
</div>
<app-loading *ngIf="isLoadingPage"></app-loading>

<div class="salary-approve-input" *ngIf="approve">
  <mb-input-text [(ngModel)]="description" mbType="default" [mbMaxLength]="4000" [defaultInput]="true" [mbIsTextAre]="true"
                 [mbType]="(isSubmit && !description && !isLoadingPage) ?  'error' : 'default'"
                 [mbShowError]="isSubmit && !description && !isLoadingPage"
                 [mbErrors]="{required:true}"
                 [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'modelOrganization.validate.reasonReject' | translate }]"
                 mbLabelText="{{ 'polManagement.label.reasonApprove' | translate }}"></mb-input-text>
</div>
<nz-card class="main-job-card">
  <div class="main-job-card__left">
    <h3><strong>{{'polManagement.label.empoyeeInfo' | translate}}</strong></h3>
  </div>
  <div nz-row class="main-job-card__row">
    <div nz-col nzSpan="6" *ngIf="isAddNew">
      <div style="position: relative">
        <hcm-mfe-employee-data-search-policy [(ngModel)]="employeeId" [mbCanText]="true" mbLabelText="{{'polManagement.label.employee' | translate}}"
                                             [ngModelOptions]="{standalone: true}" [multiple]="true" [(selected)]='selected' [functionCode]="functionCode"
                                             (selectedChange)="onChange($event)" [isHideFullName]="true">
        </hcm-mfe-employee-data-search-policy>
      </div>
    </div>
    <div nz-col nzSpan="6" class="main-job-card__center" *ngIf="!isAddNew">
        <div class="text-custom">
          <span>{{ 'polManagement.label.employeeCode' | translate }}</span>
        </div>
        <div class="text-display">
          <span>{{paramSearch.employeeCode}}</span>
        </div>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__center">
      <div class="text-custom">
        <span>{{ 'polManagement.label.fullName' | translate }}</span>
      </div>
      <div class="text-display">
        <span>{{paramSearch.fullName}}</span>
      </div>
    </div>
    <div nz-col nzSpan="6" class="main-job-card__right">
      <div class="text-custom">
        <span>{{ 'polManagement.label.org' | translate }}</span>
      </div>
      <div class="text-display">
        <span>{{paramSearch.orgName}}</span>
      </div>
    </div>
    <div nz-col nzSpan="6" class="main-job-card__left">
      <div class="text-custom">
        <span>{{ 'Job' | translate }}</span>
      </div>
      <div class="text-display">
        <span>{{paramSearch.jobName}}</span>
      </div>
    </div>

  </div>
  <div nz-row class="main-job-card__row">

    <div nz-col nzSpan="6" [ngClass]="isAddNew ?'':'main-job-card__left'">
      <div class="text-custom">
        <span>{{ 'Level' | translate }}</span>
      </div>
      <div class="text-display">
        <span>{{paramSearch.levelName}}</span>
      </div>
    </div>

    <div nz-col nzSpan="6" class="main-job-card__left">
      <div class="text-custom">
        <span>{{ 'Position' | translate }}</span>
      </div>
      <div class="text-display">
        <span>{{paramSearch.positionName}}</span>
      </div>
    </div>
    <div nz-col nzSpan="6" class="main-job-card__center">
      <div class="text-custom">
        <span>{{ 'polManagement.label.status' | translate }}</span>
      </div>
      <div class="text-display">
        <span>{{ findStatus(paramSearch.statusEmployee)}}</span>
      </div>
    </div>
  </div>
</nz-card>
<nz-card class="main-job-card mt-20">
    <div class="main-job-card__left mt-20">
        <h3><strong>{{ 'polManagement.label.salaryEvolution' | translate }}</strong></h3>
    </div>
    <div nz-row>
        <div class="main-job-card__left text-custom">
            <span>{{ 'polManagement.label.salaryTypeName' | translate }}</span>
        </div>
        <div class="ml-20">
            <nz-radio-group [(ngModel)]="dataObject.employeeType" (ngModelChange)="onChangeType($event)" [disabled]="approve">
                <label nz-radio nzValue="1">{{employeeType[0]}}</label>
                <label nz-radio nzValue="2">{{employeeType[1]}}</label>
                <label nz-radio nzValue="3">{{employeeType[2]}}</label>
                <label nz-radio nzValue="4">{{employeeType[3]}}</label>
            </nz-radio-group>
        </div>
    </div>
    <div nz-row class="main-job-card__row">
        <div nz-col nzSpan="6" class="main-job-card__left position-relative">
            <mb-input-text [mbDisable]="approve" mbType="default" [mbMaxLength]="100" [defaultInput]="true"
                mbLabelText="{{ 'polManagement.label.docNo' | translate }}" [(ngModel)]="dataObject.docNo">
            </mb-input-text>
        </div>
        <div nz-col nzSpan="6" class="main-job-card__left position-relative">
            <mb-date-picker mbPlaceholderText="{{'dd/mm/yyyy' | translate}}" [(ngModel)]="dataObject.fromDate"
                            [mbType]="isSubmit && !dataObject.fromDate ? 'error' : 'default'"
                            [mbShowError]="isSubmit && !dataObject.fromDate"
                            [mbErrors]="{required: isSubmit && !dataObject.fromDate}"
                            [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                            mbLabelText="{{'polManagement.table.fromDate' | translate}} <span class='label__required'>*</span>"
                            [mbDisabled]="approve"
                ></mb-date-picker>
        </div>
        <div nz-col nzSpan="6" class="main-job-card__left position-relative">
            <mb-date-picker
              [mbDisabled]="approve"
              mbPlaceholderText="{{'dd/mm/yyyy' | translate}}" [(ngModel)]="dataObject.toDate"
                mbLabelText="{{'polManagement.table.toDate' | translate}}" [mbType]="'default'"></mb-date-picker>
        </div>

        <div nz-col nzSpan="6" class="main-job-card__left" *ngIf="dataObject.employeeType === '1'|| dataObject.employeeType === '4'">
            <mb-select [mbDisable]="approve" [mbDataSelects]="listGroupSalary" mbKeyLabel="key" mbKeyValue="value"
                       [(ngModel)]="dataObject.salaryType" [mbType]="'default'" [mbShowClear]= "false" (mbSelect)="onChangeSalaryType($event)"
                mbLabelText="{{'polManagement.table.salaryType' | translate}}">
            </mb-select>
        </div>
        <div *ngIf="dataObject.employeeType !== '1' && dataObject.employeeType !== '4'" nz-col nzSpan="6" class="main-job-card__left">
            <mb-input-text mbType="default" [mbMaxLength]="150"
                           [mbDisable]="approve"
                mbLabelText="{{ 'polManagement.table.packAmount' | translate }} <span class='label__required'>*</span>" [(ngModel)]="dataObject.packAmount"
                           [mbType]="isSubmit && !dataObject.packAmount ? 'error' : 'default'"
                           (mbBlur)="caclRealLCB(dataObject)" (keypress)="onKeyPressLCB($event)"
                           (mbChange)="caclRealLCB(dataObject)"
                           [mbShowError]="isSubmit && !dataObject.packAmount"
                           [mbErrors]="{required: isSubmit && !dataObject.packAmount}"
                           [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }}]">
            </mb-input-text>
        </div>
    </div>
    <div nz-row class="main-job-card__row">
        <div nz-col nzSpan="6" class="main-job-card__left" *ngIf="dataObject.employeeType === '1'|| dataObject.employeeType === '4'">
            <mb-select [mbDisable]="approve"
              [mbDataSelects]="listQCL" mbKeyLabel="salaryVersionNameTmp" mbKeyValue="salaryVersionId"
                       [(ngModel)]="dataObject.salaryVersionId" [mbType]="'default'" (mbSelect)= "onChangeQCL($event)"
                       [mbType]="isSubmit && !dataObject.salaryVersionId ? 'error' : 'default'"
                       [mbShowError]="isSubmit && !dataObject.salaryVersionId"
                       [mbErrors]="{required: isSubmit && !dataObject.salaryVersionId}"
                       [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                mbLabelText="{{'polManagement.table.salaryVersionName' | translate}} <span class='label__required'>*</span>">
            </mb-select>
        </div>
      <div nz-col nzSpan="6" class="main-job-card__left" *ngIf="dataObject.employeeType === '2'|| dataObject.employeeType === '3'">
        <mb-select [mbDisable]="approve" [mbDataSelects]="listCurrency" mbKeyLabel="lvaMean" mbKeyValue="lvaValue"
                   mbLabelText="{{ 'polManagement.label.curCode' | translate }}" [mbShowClear]= "false"
                   [(ngModel)]="dataObject.curCode" [mbType]="'default'">
        </mb-select>
      </div>
      <div nz-col nzSpan="6" class="main-job-card__left form-row__right">
        <div class="text-custom">{{ 'polManagement.label.fileAttack' | translate }}</div>
        <div class="file-style">
          <img alt="" (click)="!approve?fileInput.click():''" src="../../../../../assets/images/icon/pdf_img.svg">
          <input accept=".pdf" hidden type="file" #fileInput
                 (change)="handleFileInput($event)">
          <input hidden>
          <mat-chip (removed)="removeChip()" *ngIf="fileName" class="form-row__right--mat-chip-file">
            <a class="form-row__right--fileName" (click)="downloadFile()">
              {{fileName}}
            </a>
            <button matChipRemove class="form-row__right--button">
              <em nz-icon nzType="close-circle" nzTheme="outline"></em>
            </button>
          </mat-chip>
        </div>
      </div>

    </div>
    <div *ngIf="dataObject.employeeType === '1'|| dataObject.employeeType === '4'">
        <div class="main-job-card__left mt-20">
            <h3><strong>Lương cơ bản</strong></h3>
        </div>
        <div nz-row class="main-job-card__row">
            <div nz-col nzSpan="6" class="main-job-card__left">
              <mb-select [mbDisable]="approve" [mbDataSelects]="listGradeLCB" mbKeyLabel="salaryGradeName" mbKeyValue="salaryGradeId"
                         [(ngModel)]="dataObject.salaryGradeId" [mbType]="'default'"
                         [mbType]="isSubmit && !dataObject.salaryGradeId ? 'error' : 'default'"
                         [mbShowError]="isSubmit && !dataObject.salaryGradeId"
                         [mbErrors]="{required: isSubmit && !dataObject.salaryGradeId}"
                         [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                         (mbSelect)= "onChangeGrade($event)"
                         mbLabelText="{{'polManagement.label.salaryGradeName' | translate}} <span class='label__required'>*</span>">
              </mb-select>
            </div>
            <div nz-col nzSpan="6" class="main-job-card__left">
                <mb-select [mbDisable]="approve" [mbDataSelects]="listRankLCB" mbKeyLabel="salaryRankName" mbKeyValue="salaryRankId"
                           [(ngModel)]="dataObject.salaryRankId" [mbType]="'default'"
                           [mbType]="isSubmit && !dataObject.salaryRankId ? 'error' : 'default'"
                           [mbShowError]="isSubmit && !dataObject.salaryRankId"
                           [mbErrors]="{required: isSubmit && !dataObject.salaryRankId}"
                           [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                           (mbSelect)="onChangeRank($event,true)"
                    mbLabelText="{{'polManagement.label.salaryRankName' | translate}} <span class='label__required'>*</span>">
                </mb-select>
            </div>
            <div nz-col nzSpan="6" class="main-job-card__left position-relative">
                <mb-input-text [mbDisable]="approve" mbType="default" [mbMaxLength]="150" [(ngModel)]="dataObject.salaryAmount" (keypress)="onKeyPressLCB($event)"
                    mbLabelText="{{ 'polManagement.table.salaryAmount' | translate }} <span class='label__required'>*</span>"
                               [mbType]="isSubmit && !dataObject.salaryAmount ? 'error' : 'default'"
                               (mbChange)="caclRealLCB(dataObject)"
                               [mbShowError]="isSubmit && !dataObject.salaryAmount"
                               [mbErrors]="{required: isSubmit && !dataObject.salaryAmount}"
                               [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }}]"
                               (mbBlur)="caclRealLCB(dataObject)">
                </mb-input-text>
            </div>
            <div nz-col nzSpan="6" class="main-job-card__left">
              <mb-select [mbDisable]="approve" [mbDataSelects]="listCurrency" mbKeyLabel="lvaMean" mbKeyValue="lvaValue"
                         mbLabelText="{{ 'polManagement.label.curCode' | translate }}" [mbShowClear]= "false"
                         [(ngModel)]="dataObject.curCode" [mbType]="'default'">
              </mb-select>
            </div>
        </div>
        <div nz-row class="main-job-card__row">
          <div nz-col nzSpan="6" class="main-job-card__left">
            <mb-input-text [mbDisable]="approve" mbType="default" [mbMaxLength]="150" mbInputType="number"
                           mbLabelText="{{ 'polManagement.label.ratioReceive' | translate }} <span class='label__required'>*</span>"
                           minNumber="0" (mbKeyup)="onChangePerLCB($event)"
                           (mbBlur)="caclRealLCB(dataObject)" [(ngModel)]="dataObject.salaryPercent"
                           [mbType]="isSubmit && (!dataObject.salaryPercent || +dataObject.salaryPercent > 100)? 'error' : 'default'"
                           [mbShowError]="isSubmit && (!dataObject.salaryPercent || +dataObject.salaryPercent > 100)"
                           [mbErrors]="{required: isSubmit && !dataObject.salaryPercent,max:isSubmit && +dataObject.salaryPercent > 100}"
                           [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }},
             { errorName: 'max', errorDescription: 'polManagement.validate.rangeValue'| translate:{'param':100}}]">
            </mb-input-text>
          </div>
            <div nz-col nzSpan="6" class="main-job-card__left">
              <mb-input-text [mbDisable]="approve" mbType="default" [mbMaxLength]="150" [mbDisable]="true"
                             mbLabelText="{{ 'polManagement.table.salaryReal' | translate }} <span class='label__required'>*</span>"
                             [ngModel]="dataObject.salaryReal"
                             [mbType]="isSubmit && !dataObject.salaryReal ? 'error' : 'default'"
                             [mbShowError]="isSubmit && !dataObject.salaryReal"
                             [mbErrors]="{required: isSubmit && !dataObject.salaryReal}"
                             [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'modelOrganization.validate.required'
            | translate: {'param': 'modelOrganization.validate.feild' | translate }}]">
              </mb-input-text>
            </div>
        </div>
    </div>
  <div *ngIf="dataObject.salaryType === 'LHQ' || (dataObject.employeeType !== '1' && dataObject.employeeType !== '4')">
    <div *ngIf="dataObject.employeeType === '1'|| dataObject.employeeType === '4'" class="main-job-card__left mt-20">
        <h3><strong>Thưởng hiệu suất</strong></h3>
    </div>
    <div *ngIf="dataObject.employeeType === '1'|| dataObject.employeeType === '4'" nz-row class="main-job-card__row">
        <div nz-col nzSpan="6" class="main-job-card__left">
            <mb-input-text [mbDisable]="approve" mbType="default" [mbMaxLength]="150"
                           mbInputType="number" (mbBlur)="caclRealLCB(dataObject)" minNumber="0"
                           mbLabelText="{{ 'polManagement.table.performanceFactor' | translate }}" [(ngModel)]="dataObject.performanceFactor">
            </mb-input-text>
        </div>
        <div nz-col nzSpan="6" class="main-job-card__left">
            <mb-input-text [mbDisable]="approve" mbType="default" [mbMaxLength]="150" [mbDisable]="true"
                mbLabelText="{{ 'polManagement.table.performanceAmount' | translate }}" [ngModel]="dataObject.levelTHS">
            </mb-input-text>
        </div>
        <div nz-col nzSpan="6" class="main-job-card__left position-relative">
            <mb-input-text [mbDisable]="approve" mbType="default" [mbMaxLength]="150" minNumber="0"
                           mbInputType="number" (mbBlur)="caclRealLCB(dataObject)"
                           [mbType]="isSubmit && (+dataObject.performancePercent > 100)? 'error' : 'default'"
                           [mbShowError]="isSubmit && (+dataObject.performancePercent > 100)"
                           [mbErrors]="{max:isSubmit && +dataObject.performancePercent > 100}"
                           [mbErrorDefs]="[
             { errorName: 'max', errorDescription: 'polManagement.validate.rangeValue'| translate:{'param':100}}]"
                mbLabelText="{{ 'polManagement.table.performancePercent' | translate }}" [(ngModel)]="dataObject.performancePercent">
            </mb-input-text>
        </div>
        <div *ngIf="dataObject.employeeType === '1'|| dataObject.employeeType === '4'" nz-col nzSpan="6" class="main-job-card__left">
          <mb-input-text [mbDisable]="approve" mbType="default" [mbMaxLength]="150" [mbDisable]="true"
                         mbLabelText="{{ 'polManagement.table.periodCurPoint' | translate }}" [(ngModel)]="dataObject.periodCurPoint">
          </mb-input-text>
        </div>
    </div>
    <div nz-row class="main-job-card__row">
        <div *ngIf="dataObject.employeeType === '1'|| dataObject.employeeType === '4'" nz-col nzSpan="6" class="main-job-card__left">
            <mb-input-text mbType="default" [mbMaxLength]="150" minNumber="0"
                           mbInputType="number" (mbBlur)="caclRealLCB(dataObject)" [mbDisable]="true"
                mbLabelText="{{ 'polManagement.table.periodCurFactor' | translate }}" [(ngModel)]="dataObject.periodCurFactor">
            </mb-input-text>
        </div>
        <div *ngIf="dataObject.employeeType === '1'|| dataObject.employeeType === '4'"
             nz-col nzSpan="6" class="main-job-card__left position-relative">
            <mb-input-text [mbDisable]="approve" mbType="default" [mbMaxLength]="150" [mbDisable]="true" (mbBlur)="caclRealLCB(dataObject)"
                mbLabelText="{{ 'polManagement.table.performanceReal' | translate }} " [ngModel]="dataObject.realTHS">
            </mb-input-text>
        </div>
        <div nz-col nzSpan="6" class="main-job-card__left">
          <mb-input-text [mbDisable]="approve" mbType="default" [mbMaxLength]="150" [defaultInput]="true"
                         mbLabelText="{{ 'polManagement.table.note' | translate }}" [(ngModel)]="dataObject.note">
          </mb-input-text>
        </div>
    </div>
  </div>
  <div nz-row class="main-job-card__row" *ngIf="!isAddNew">
    <div nz-col nzSpan="6" class="main-job-card__left">
      <mb-input-text [mbDisable]="approve" mbType="default" [mbMaxLength]="150" [mbDisable]="true"
                     mbLabelText="{{ 'polManagement.label.lastUpdateDate'| translate }}"
                     [ngModel]="dataObject.lastUpdateDate">
      </mb-input-text>

    </div>
    <div nz-col nzSpan="6" class="main-job-card__left position-relative">
      <mb-input-text [mbDisable]="approve" mbType="default" [mbMaxLength]="150" [mbDisable]="true"
                     mbLabelText="{{ 'polManagement.label.lastUpdatedBy' | translate }}" [ngModel]="dataObject.lastUpdatedBy">
      </mb-input-text>
    </div>
    <div nz-col nzSpan="6" class="main-job-card__left">
      <mb-input-text [mbDisable]="approve" mbType="default" [mbMaxLength]="150" [mbDisable]="true"
                     mbLabelText="{{ 'polManagement.label.reasonApprove' | translate }}"
                     [ngModel]="dataObject.description">
      </mb-input-text>
    </div>
    <div nz-col nzSpan="6" class="main-job-card__left">
      <mb-input-text [mbDisable]="approve" mbType="default" [mbMaxLength]="150" [mbDisable]="true"
                     mbLabelText="{{ 'polManagement.label.approveDate' | translate }}"
                     [ngModel]="dataObject.approveDate">
      </mb-input-text>
    </div>
  </div>
  <div nz-row class="main-job-card__row" *ngIf="!isAddNew">
    <div nz-col nzSpan="6" class="main-job-card__left">
      <mb-input-text [mbDisable]="approve" mbType="default" [mbMaxLength]="150" [mbDisable]="true"
                     mbLabelText="{{ 'polManagement.label.approver' | translate }}" [ngModel]="dataObject.approver">
      </mb-input-text>
    </div>
  </div>
</nz-card>
<nz-modal [(nzVisible)]="isVisible" [nzTitle]="modalTitle" [nzContent]="modalContent" [nzFooter]="modalFooter"
          [nzStyle]="{ width: '80vw'}" (nzOnCancel)="handleCancel()">
  <ng-template #modalTitle>
    <span>View File PDF</span>
  </ng-template>
  <ng-template #modalContent>
    <div>
      <pdf-viewer [src]="pdfSrc" [show-all]="true" [fit-to-page]="true" [render-text]="true"
                  [original-size]="true" class="pdf-view"></pdf-viewer>
    </div>
  </ng-template>
  <ng-template #modalFooter>
    <p></p>
  </ng-template>
</nz-modal>
